gRPC C#
gRPC C#
Namespaces
Grpc.Core
ServerCallContext Class
ServerCallContext Properties
ServerCallContext Methods

ServerCallContext Class

Context for a server-side call.
Inheritance Hierarchy
System
Object
Grpc.Core
ServerCallContext

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public class ServerCallContext

    Public Class ServerCallContext

    public ref class ServerCallContext

    type ServerCallContext =  class end

The ServerCallContext type exposes the following members.

Properties

| Name | Description
--- | --- | ---
| CancellationToken | Cancellation token signals when call is cancelled.
| Deadline | Deadline for this RPC.
| Host | Name of host called in this RPC.
| Method | Name of method called in this RPC.
| Peer | Address of the remote endpoint in URI format.
| RequestHeaders | Initial metadata sent by client.
| ResponseTrailers | Trailers to send back to client after RPC finishes.
| Status | Status to send back to client after RPC finishes.
| WriteOptions | Allows setting write options for the following write. For streaming response calls, this property is also exposed as on IServerStreamWriter for convenience. Both properties are backed by the same underlying value.

Top
Methods

| Name | Description
--- | --- | ---
| CreatePropagationToken | Creates a propagation token to be used to propagate call context to a child call.
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)
| WriteResponseHeadersAsync | Asynchronously sends response headers for the current call to the client. This method may only be invoked once for each call and needs to be invoked before any response messages are written. Writing the first response message implicitly sends empty response headers if WriteResponseHeadersAsync haven't been called yet.

Top
See Also

#### Reference

Grpc.Core Namespace